www.ypnh.net > jquEry.Form.js在IE8下存在对象不支持此属性或方法...

jquEry.Form.js在IE8下存在对象不支持此属性或方法...

尽量用高版本!支持性 兼容性 都好些!

id为reg_domain_hidden的是什么标签,有text属性么?用val赋值试试呢

可以换jquery1.10版本,如果只是一些少用的方法不支持,可以针对IE做一下兼容

jquery2.0版本以上不再支持IE8以下,试下用jquery1.10

我感觉应该是你写的JQUERY的代码和1.3.2.min.js版本可能不一致,JQUERY版本不一样写法也不一样

你可以在网页头部上加上兼容信息,让IE默认就按照兼容性视图的方式来显示你的网页,这样就不会有问题了,,具体方法你可以看考这里http://technet.microsoft.com/zh-cn/library/ff955640(WS.10).aspx

var kx_shipping = $("input[class=tradio]:checked").parent().next().text(); 声明的有问题吧 html()是替换ID为shipping元素下的html代码 而你kx_shipping声明出来的值只有在这个script闭合元素下才能执行 ID为shipping元素里面的值只能是html...

当然有不兼容的地方啊,但只是极少数地方,也要看看你的jquery包都是哪个版本的~ 建议用1.8.3版本最稳定,1.4.3也是个稳定版本。但用新不用旧还是1.8.3吧,2.0后都不支持IE 6 7 8了

js里有trim方法吗? 是不是你少了引用,去掉试试吧,别的地方没看出有什么问题。

2.0以上版本的jQuery已经不再支持IE8及以下版本的IE浏览器,所以才出现了问题。 解决方法很简单: 相关问题: Jquery从2.x版本开始已经不再进行IE低版本(IE6、IE7、IE8)的兼容性处理。如果需要兼容低版本的IE版本,建议使用原生JS或者低版本的Jqu...

网站地图

All rights reserved Powered by www.ypnh.net

copyright ©right 2010-2021。
www.ypnh.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com